using System;
using GxPress.EnumConst;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 文章定义
    /// </summary>
    [DataTable("tede_article")]
    public class Article : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn] 
        public string Title { get; set; }

        /// <summary>
        /// 组id
        /// </summary>
        [DataColumn] 
        public int GroupId { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>
        [DataColumn] 
        public string ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>
        [DataColumn] 
        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>
        [DataColumn]
        public string Author { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        [DataColumn]
        public string Source { get; set; }

        /// <summary>
        /// Json内容
        /// </summary>
        [DataColumn(Text = true)]
        public string Blocks { get; set; }

        /// <summary>
        /// 审核状态
        /// </summary>
        [DataColumn] 
        public bool IsChecked { get; set; }

        /// <summary>
        /// 添加时间
        /// </summary>
        [DataColumn] 
        public DateTime AddDate { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 文章阅读量
        /// </summary>
        [DataColumn]
        public int ReadCount { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }
      
    }
}