using System.Data;
using Datory.Annotations;

namespace GxPress.Entity.Missive
{
    /// <summary>
    /// 站内信收件人
    /// </summary>
    [DataTable("tede_missive_addressee")]
    public class MissiveAddressee : Datory.Entity
    {
        /// <summary>
        /// 站内信ID
        /// </summary>
        [DataColumn]
        public int MissiveId { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 收件人姓名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }
        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }

         /// <summary>
        /// 是否管理
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }
         /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }
    }
}
